var timeoutID = '';
var currentRel = '';

$(document).ready(function(){

	function menter(elem){

		currentRel = $(elem).attr('rel');

		if(currentRel.length > 0){

			clearTimeout(timeoutID);

			$.get('/ajax.php?model=help&page=ajax_data&rel='+currentRel+'&url='+$.url(_window.location.canonical, 'model')+'/'+$.url(_window.location.canonical, 'page'), function(data){

				$('#help_content').html( data );
				$('[name=help_content]').val( data );

				var pos = $(elem).offset();
				var top = pos.top-($('#help').height()+25);
				var left = pos.left+25;

				$('#help').css({'top' : top+'px', 'left' : left+'px'});
				$('#help').show();
			});
		}
	}

	/*$('.icon_help').mouseenter(function(){

		menter(this);
	});*/

	$('.icon_help').live('click', function(){

		menter(this);
	});
	$('.icon_help').mouseleave(function(){

		clearTimeout(timeoutID);
		timeoutID=setTimeout(function(){

			$('#help').hide();
		},
		500);
	});
	$('#help').mouseenter(function(){

		clearTimeout(timeoutID);
	});
	$('#help').mouseleave(function(){

		clearTimeout(timeoutID);
		timeoutID=setTimeout(function(){

			$('#help').hide();
		},
		500);
	});

	$('[name=update_help]').click(function(){

		$(this).after('<img src="/templates/'+_template.name+'/images/admin/ajax-loader.gif'+'" id="update_help_loader" alt="Infojuht ajax loader"/>');

		$.post(
			'/ajax.php?model=help&page=ajax_data&rel='+currentRel+'&url='+$.url(_window.location.canonical, 'model')+'/'+$.url(_window.location.canonical, 'page'),
			'help_content='+$('[name=help_content]').val()+'&update_help=update_help',
			function(data){

				$('#help_content').html( data );
				$('#update_help_loader').remove();
			}
		);
		return false;
	});

	$('#help_close').click(function(){

		$('#help').hide();
	});

	$('#help').closeByBodyClick('hide');
});